Module java.base
Package java.nio.file

## Interface DirectoryStream.Filter<T>

Type Parameters:
  `T` - the type of the directory entry

Enclosing interface:
  DirectoryStream<T>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface DirectoryStream.Filter<T>

An interface that is implemented by objects that decide if a directory entry should be accepted or filtered. A `Filter` is passed as the parameter to the `Files.newDirectoryStream(Path,DirectoryStream.Filter)` method when opening a directory to iterate over the entries in the directory.

Since:
  1.7

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accept(T entry)` Decides if the given directory entry should be accepted or filtered.

### Method Detail

#### accept

    boolean accept(T entry)
            throws IOException

Decides if the given directory entry should be accepted or filtered.

Parameters:
  `entry` - the directory entry to be tested
Returns:
  `true` if the directory entry should be accepted
Throws:
  `IOException` - If an I/O error occurs